Bug 13563 - Build failure when quota support not detected.
Build failure when quota support not detected.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13553
  Show dependency treegraph
 
Reported: 2018-08-07 11:35 UTC by Noel Power
Modified: 2018-08-14 11:21 UTC (History)
1 user (show)

See Also:


Attachments
proposed master fix for issue (1.86 KB, patch)
2018-08-07 12:26 UTC, Noel Power
jra: review+
Details
backport of patch to 4.8 (1.86 KB, patch)
2018-08-09 11:37 UTC, Noel Power
jra: review+
Details
backport of patch to 4.9 (1.86 KB, patch)
2018-08-09 11:37 UTC, Noel Power
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2018-08-07 11:35:54 UTC
User reports problems on AIX with new smb2 quota support

see https://lists.samba.org/archive/samba-technical/2018-August/thread.html#129551

However I am getting

../source3/smbd/smb2_getinfo.c: In function ‘smbd_smb2_getinfo_send’:
../source3/smbd/smb2_getinfo.c:584:3: error: implicit declaration of function ‘smbd_do_query_getinfo_quota’ [-Werror=implicit-function-declaration]
   status = smbd_do_query_getinfo_quota(tmp_ctx,
   ^
../source3/smbd/smb2_getinfo.c:584:10: error: incompatible types when assigning to type ‘NTSTATUS’ from type ‘int’
   status = smbd_do_query_getinfo_quota(tmp_ctx,
          ^

when quota support is not detected. Still bad of course. Not sure why build doesn't fail for user. I don't understand though how smbd_do_query_getinfo_quota is getting called if the share doesn't have quota support enabled (which it can't as the flag to indicate that is also controlled by HAVE_SYS_QUOTA)

There is an additional problem reported to do with the detection of quota support not being detected properly on AIX. Not having access to AIX I can't really do more (will request reporter to open a separate bug with as much useful info as possible)
Comment 1 Noel Power 2018-08-07 12:26:02 UTC
Created attachment 14399 [details]
proposed master fix for issue
Comment 2 Noel Power 2018-08-09 11:24:43 UTC
Comment on attachment 14399 [details]
proposed master fix for issue

Reporter of the issue on the mail list confirmed the patch helped

please see. https://lists.samba.org/archive/samba-technical/2018-August/129576.html

There is still the issue of AIX not detecting quotas. I am not sure if that is correct or not, it's quite possible the quota implementation available on AIX is not compatible for the samba quota support and maybe the configure is correct. I'm hoping the reporter can chase this further, I can't without access to AIX. In anycase that is a entirely separate issue (if indeed it is an issue, which is why I haven't opened a bug for that yet)
Comment 3 Noel Power 2018-08-09 11:37:09 UTC
Created attachment 14403 [details]
backport of patch to 4.8
Comment 4 Noel Power 2018-08-09 11:37:38 UTC
Created attachment 14404 [details]
backport of patch to 4.9
Comment 5 Jeremy Allison 2018-08-09 21:37:43 UTC
Comment on attachment 14399 [details]
proposed master fix for issue

Pushed !
Comment 6 Jeremy Allison 2018-08-09 21:44:40 UTC
Re-assigning to Karolin for inclusion in 4.9.next, 4.8.next.
Comment 7 Karolin Seeger 2018-08-13 10:56:04 UTC
(In reply to Jeremy Allison from comment #6)
Pushed to autobuild-v4-{9,8}-test.
Comment 8 Karolin Seeger 2018-08-14 11:21:33 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to both branches.
Closing out bug report.

Thanks!